Code coverage for your entire quality assurance process

Fast, Easy Code Coverage for QA

Purchase Collector

Minimum System Requirements

Software Requirements

NCover can profile any programming language that runs on the .NET Framework Common Language Runtime and conforms to the CLI specification. NCover supports all versions of the .NET Framework that Microsoft has released and still supports. Currently, this includes .NET 1.1 (.NET 1.0 is unsupported), .NET 2.0, .NET 3.0, .NET 3.5, .NET 3.5 SP1, .NET 4.0, and .NET 4.5.

Software requirements specifically for the machine running Collector:

  • .NET FRAMEWORK - .NET 3.5 Service Pack 1
  • BROWSER - IE9, Firefox 14 or higher, or Google Chrome 20 or higher. A stand-alone NCover Explorer application is provided where a compatible web browser is not available.

Hardware Requirements

Hardware requirements are heavily dependent on the covered application and usage, so it is not possible to provide an optimal hardware configuration that will work well in every situation. Following are the basic requirements:

  • CPU - 1 gigahertz (GHz) or faster x86 or x64 processor
  • MEMORY - 2 gigabyte (GB) RAM x86 or 4 GB RAM x64
  • STORAGE - 2 GB available hard disk space x86 or 4 GB x64 (determined by volume of coverage data)